/*---------------------------------------------------------------------------*
  Project:  Horizon
  File:     main.cpp

  Copyright (C)2009 Nintendo Co., Ltd.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Rev: 9608 $
 *---------------------------------------------------------------------------*/

#include <stdio.h>

#include <nn/os.h>
#include <nn/dbg.h>

#ifdef INTEGRATION_TEST
#include <nn/os/os_DeviceMemory.h>
#endif

#include "nakayama.h"
#include "CtrCardTest.cpp"

using namespace nn::red::nakayama;

extern "C" void nnMain()
{
  CtrCardTest program;

#ifdef INTEGRATION_TEST
  // Aobt@̊m
  nn::os::DeviceMemoryBlock* pDeviceMemoryBlock = new nn::os::DeviceMemoryBlock(BUFFER_SIZE, false);
  
  // mۂobt@o^
  program.card_test_buffer = pDeviceMemoryBlock->GetAddress();
#endif
  
  program.Execute();
	
  while(1){};
}
